ON_PolynomialCurve Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_bezier.h>`

## Public Member Functions

| ON_PolynomialCurve ()
| ON_PolynomialCurve (int dim, ON_BOOL32 bIsRational, int order)
| ~ON_PolynomialCurve ()
| ON_PolynomialCurve (const ON_PolynomialCurve &)
| ON_PolynomialCurve (const ON_BezierCurve &)
ON_PolynomialCurve & | operator= (const ON_PolynomialCurve &)
ON_PolynomialCurve & | operator= (const ON_BezierCurve &)
ON_BOOL32 | Create (int dim, ON_BOOL32 bIsRational, int order)
void | Destroy ()
ON_BOOL32 | Evaluate (double t, int der_count, int v_stride, double *v) const

## Public Attributes

int | m_dim
int | m_is_rat
int | m_order
ON_4dPointArray | m_cv
ON_Interval | m_domain

## Detailed Description

Definition at line 29 of file opennurbs_bezier.h.

## Constructor & Destructor Documentation

ON_PolynomialCurve::ON_PolynomialCurve | ( |  | ) |

ON_PolynomialCurve::ON_PolynomialCurve | ( | int | dim,
|  | ON_BOOL32 | bIsRational,
|  | int | order
| ) |  |

ON_PolynomialCurve::~ON_PolynomialCurve | ( |  | ) |

ON_PolynomialCurve::ON_PolynomialCurve | ( | const ON_PolynomialCurve & |  | ) |

ON_PolynomialCurve::ON_PolynomialCurve | ( | const ON_BezierCurve & |  | ) |

## Member Function Documentation

ON_BOOL32 ON_PolynomialCurve::Create | ( | int | dim,
|  | ON_BOOL32 | bIsRational,
|  | int | order
| ) |  |

void ON_PolynomialCurve::Destroy | ( |  | ) |

ON_BOOL32 ON_PolynomialCurve::Evaluate | ( | double | t,
|  | int | der_count,
|  | int | v_stride,
|  | double * | v
| ) |  | const

ON_PolynomialCurve& ON_PolynomialCurve::operator= | ( | const ON_PolynomialCurve & |  | ) |

ON_PolynomialCurve& ON_PolynomialCurve::operator= | ( | const ON_BezierCurve & |  | ) |

## Member Data Documentation

ON_4dPointArray ON_PolynomialCurve::m_cv

Definition at line 102 of file opennurbs_bezier.h.

int ON_PolynomialCurve::m_dim

Definition at line 93 of file opennurbs_bezier.h.

ON_Interval ON_PolynomialCurve::m_domain

Definition at line 105 of file opennurbs_bezier.h.

int ON_PolynomialCurve::m_is_rat

Definition at line 96 of file opennurbs_bezier.h.

int ON_PolynomialCurve::m_order

Definition at line 99 of file opennurbs_bezier.h.

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_bezier.h